%define pythonver 2.2

Summary: Support for using OpenSSL in python scripts.
Name: m2crypto
Version: 0.05_snap4
Release: 6
Source: m2crypto-%{version}.zip
License: BSD
Group: System Environment/Libraries
URL: http://www.post1.com/home/ngps/m2/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: openssl-devel, python-devel, swig, unzip
Requires: python
Obsoletes: openssl-python

%description
This package allows you to call OpenSSL functions from python scripts.


%prep
%setup -n m2crypto-0.05-snap4 -q
for file in demo/evp_ciph_test.py demo/bio_ciph_test.py swig/_evp.i ; do
	grep -v idea_ ${file} > ${file}.tmp
	grep -v rc5_  ${file}.tmp > ${file}
done

%build 
make -C swig \
	INCLUDE="-I. -I../../include" \
	LIBS="-lssl -lcrypto -lc" \
	PYINCLUDE="-DHAVE_CONFIG_H -I/usr/include/python%{pythonver} -I/usr/lib/python%{pythonver}/config" \
	PYLIB=/usr/lib/python%{pythonver}/config
(cd doc; sh -x go)

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
cd M2Crypto
# Install the python extensions.
for subdir in `find -name "*.py" -o -name "*.so" | xargs -n1 dirname | sort -u`
do
	mkdir -p $RPM_BUILD_ROOT%{_libdir}/python%{pythonver}/site-packages/M2Crypto/${subdir}
done
find -name "*.py" | xargs -i install -m644 '{}' $RPM_BUILD_ROOT%{_libdir}/python%{pythonver}/site-packages/M2Crypto/'{}'
find -name "*.so" | xargs -i install -m755 '{}' $RPM_BUILD_ROOT%{_libdir}/python%{pythonver}/site-packages/M2Crypto/'{}'
python -c "import compileall; compileall.compile_dir('"$RPM_BUILD_ROOT%{_libdir}/python%{pythonver}/site-packages/M2Crypto"', 3, '%{_libdir}/python%{pythonver}/site-packages/M2Crypto')"

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc BUGS CHANGES LIC* README TODO
%doc doc/README doc/*.html
%{_libdir}/python%{pythonver}/site-packages/M2Crypto

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 20 2002 Nalin Dahyabhai <nalin@redhat.com> 0.05_snap4-4
- rebuild with Python 2.2

* Wed Apr 24 2002 Nalin Dahyabhai <nalin@redhat.com> 0.05_snap4-3
- remove a stray -L at link-time which prevented linking with libssl (#59985)

* Thu Aug 23 2001 Nalin Dahyabhai <nalin@redhat.com> 0.05_snap4-2
- drop patch which isn't needed because we know swig is installed

* Mon Apr  9 2001 Nalin Dahyabhai <nalin@redhat.com> 0.05_snap4-1
- break off from openssl-python
